MONGOC_CLIENT_ENCRYPTION_DELETE_KEY(3)

NAME
mongoc_client_encryption_delete_key - mongoc_client_encryption_delete_key()

SYNOPSIS

bool
mongoc_client_encryption_delete_key (
   mongoc_client_encryption_t *client_encryption,
   const bson_value_t *keyid,
   bson_t *reply,
   bson_error_t *error);

Delete a key document in the key vault collection that has the given keyid.

PARAMETERS

•   client_encryption: A mongoc_client_encryption_t.

•   keyid: The UUID (BSON binary subtype 0x04) of the key to delete.

•   reply: Optional. An uninitialized bson_t set to the delete result. Must be freed by bson_destroy().

•   error: Optional. bson_error_t.

RETURNS

Returns true if successful. Returns false and sets error otherwise.

SEE ALSO:
mongoc_client_encryption_t
mongoc_client_encryption_create_datakey()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc